DECLARE SUB Stats ()
DECLARE SUB Alley1 ()
DECLARE SUB TalkReceptionist ()
DECLARE SUB CannotGo ()
DECLARE SUB Hallway1 ()
DECLARE SUB CannotDo ()
DECLARE SUB Help ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
DECLARE SUB RestoreInGame ()
DECLARE SUB SaveGame ()
'$INCLUDE: 'c:\bc7\programs\cyber\global.bi'               

SUB Receptionist

RestoreRoom = 6
Room:
  CLS
  PRINT "You are in what seems to be the reception area for this building.  Large"
  PRINT "glass windows open to the alley outside, letting in a little natural light."
  PRINT "Behind a desk, a receptionist sits typing at her console.  She doesn't seem"
  PRINT "to have noticed you.  The front door is to the west."
Command:
  LINE INPUT "> "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "NORTH" OR a$ = "GO NORTH" THEN CannotGo: GOTO Command
  IF a$ = "S" OR a$ = "SOUTH" OR a$ = "GO SOUTH" THEN CannotGo: GOTO Command
  IF a$ = "E" OR a$ = "EAST" OR a$ = "GO EAST" THEN Hallway1
  IF a$ = "W" OR a$ = "WEST" OR a$ = "GO WEST" THEN Alley1
  IF a$ = "STATS" THEN Stats: GOTO Command
  IF a$ = "SEARCH" OR a$ = "SEARCH ROOM" THEN GOTO SearchRoom: GOTO Command
  IF a$ = "LOOK" THEN GOTO Room: GOTO Command
  IF a$ = "HELP" OR a$ = "?" THEN Help: GOTO Room
  IF a$ = "QUIT" OR a$ = "EXIT" THEN Quit: GOTO Command
  IF a$ = "I" OR a$ = "INVENTORY" THEN Inventory: GOTO Command
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO Command
  IF a$ = "RESTORE" OR a$ = "RESTORE GAME" THEN RestoreInGame: GOTO Command
  IF a$ = "TALK WOMAN" OR a$ = "TALK SECRETARY" OR a$ = "TALK RECEPTIONIST" OR a$ = "TALK LADY" THEN TalkReceptionist: GOTO Room
  IF a$ = "GET CONSOLE" THEN PRINT "It's just a typing console.  You don't need it.": GOTO Command
  CannotDo
  GOTO Command

SearchRoom:
  PRINT "As you begin to look around the room, the receptionist eyes you suspiciously."
  GOTO Command

END SUB

SUB TalkReceptionist
  CLS
  PRINT "The receptionist is old and thin, almost gaunt.  She sits behind her desk"
  PRINT "typing away at her console."
  COLOR 15, 0, 9: PRINT "May I help you?"
Talk:
  COLOR 7, 0, 8: LINE INPUT "? "; a$: a$ = UCASE$(a$)
  COLOR 15, 0, 9
  IF a$ = "NAME" THEN PRINT "My name is Ms. Hoskins.": GOTO Talk
  IF a$ = "JOB" OR a$ = "WORK" THEN PRINT "I am the receptionist here at the morgue.": GOTO Talk
  IF a$ = "MORGUE" OR a$ = "SPRAWL COUNTY MORGUE" THEN PRINT "Yes, the Sprawl County Morgue.": GOTO Talk
  IF a$ = "RECEPTIONIST" OR a$ = "SECRETARY" THEN PRINT "Yes, that's my job.": GOTO Talk
  IF a$ = "SPRAWL COUNTY" OR a$ = "SPRAWL" OR a$ = "COUNTY" OR a$ = "SPRAWL COUNTY" THEN PRINT "Are you feeling all right?": GOTO Talk
  IF a$ = "BODY" OR a$ = "SLAB" THEN PRINT "Yes, this is a morgue.": GOTO Talk
  IF a$ = "TYPING" OR a$ = "CONSOLE" OR a$ = "REPORT" THEN PRINT "I'm just typing a report for the coroner.": GOTO Talk
  IF a$ = "CORONER" THEN PRINT "Yes.  I really need to get back to my work.": GOTO Talk
  IF a$ = "HELP" THEN PRINT "I'm not sure what you need.": GOTO Talk
  IF a$ = "BYE" OR a$ = "GOODBYE" THEN GOTO EndConversation
  b = INT((3) * RND)
  IF b = 0 THEN PRINT "I cannot help you with that."
  IF b = 1 THEN PRINT "Just exactly what do you want?"
  IF b = 2 THEN PRINT "I'm not sure about that."
  GOTO Talk

EndConversation:
  COLOR 7, 0, 8
END SUB

